extends "res://Scripts/Camera.gd"


func Interpolate(delta):
	var translate_factor = translateSpeed * delta * 10
	var rotate_factor = rotateSpeed * delta * 10
	var target_xform = camera.get_global_transform()
	var local_transform_only_origin: = Transform3D(Basis(), get_global_transform().origin)
	var local_transform_only_basis: = Transform3D(get_global_transform().basis, Vector3())

	local_transform_only_origin = local_transform_only_origin.interpolate_with(target_xform, translate_factor)
	local_transform_only_basis = local_transform_only_basis.interpolate_with(target_xform, rotate_factor)
	#set_global_transform(Transform3D(local_transform_only_basis.basis, local_transform_only_origin.origin))
	set_global_transform(Transform3D(target_xform.basis, local_transform_only_origin.origin))
